Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface CacheMonitorRuntimeMBean

All Known Subinterfaces:
  EJBCacheMonitorRuntimeMBean, XMLCacheCumulativeRuntimeMBean, XMLCacheMonitorRuntimeMBean

public interface CacheMonitorRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Author:
  Copyright (c) 2001 by BEA WebXpress. All Rights Reserved.

Method Summary
`long` | `getAccessCount()` Returns the number of times the cache is accessed to get the data
`long` | `getAccessTime()` Returns the time spent in the data retrival from the cache
`long` | `getCurrentSize()` Returns the current size of the cache
`long` | `getCurrentTotalEntries()` Returns the number of current entries in the cache
`long` | `getFlushesCount()` Returns the number of times the entries in the cache is flushed or cleared
`long` | `getHitCount()` Returns the number of accesses succeeded in getting the data from cache
`long` | `getInsertCount()` Returns the number of times the cache is updated/inserted with values
`long` | `getInsertTime()` Returns the time spent in updating/inserting the cache with values
`java.util.Date` | `getTimeCreated()` Returns the time cache was created
`long` | `getTimeSinceStart()` Returns the time since start in mins/hours

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAccessCount

    public long getAccessCount()

  Returns the number of times the cache is accessed to get the data

### getHitCount

    public long getHitCount()

  Returns the number of accesses succeeded in getting the data from cache

### getCurrentTotalEntries

    public long getCurrentTotalEntries()

  Returns the number of current entries in the cache

### getFlushesCount

    public long getFlushesCount()

  Returns the number of times the entries in the cache is flushed or cleared

### getInsertCount

    public long getInsertCount()

  Returns the number of times the cache is updated/inserted with values

### getCurrentSize

    public long getCurrentSize()

  Returns the current size of the cache

### getAccessTime

    public long getAccessTime()

  Returns the time spent in the data retrival from the cache

### getInsertTime

    public long getInsertTime()

  Returns the time spent in updating/inserting the cache with values

### getTimeCreated

    public java.util.Date getTimeCreated()

  Returns the time cache was created

### getTimeSinceStart

    public long getTimeSinceStart()

  Returns the time since start in mins/hours

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference